Index: portal2/scripts/vscripts/transitions/sp_elevator_motifs.nut
===================================================================
--- portal2/scripts/vscripts/transitions/sp_elevator_motifs.nut	(revision 13)
+++ portal2/scripts/vscripts/transitions/sp_elevator_motifs.nut	(revision 14)
@@ -48,6 +48,8 @@
 
 function StartMoving()
 {
+	SendToConsole( "map_wants_save_disable 1" )	
+	
 	local foundLevel = false
 	
 	foreach (index, level in ElevatorMotifs)

Index: portal2/pak01_dir.vpk/materials/vgui/hud/commands/gesture_dance_spin_blue.vmt
===================================================================
--- portal2/pak01_dir.vpk/materials/vgui/hud/commands/gesture_dance_spin_blue.vmt	(revision 0)
+++ portal2/pak01_dir.vpk/materials/vgui/hud/commands/gesture_dance_spin_blue.vmt	(revision 14)
@@ -0,0 +1,8 @@
+UnlitGeneric
+{
+$baseTexture "vgui\hud\commands\gesture_dance_spin_blue"
+$vertexcolor 1
+$vertexalpha 1
+$ignorez 1
+$translucent 1
+}
Index: portal2/pak01_dir.vpk/resource/ui/basemodui/controlleroptions.res
===================================================================
--- portal2/pak01_dir.vpk/resource/ui/basemodui/controlleroptions.res	(revision 13)
+++ portal2/pak01_dir.vpk/resource/ui/basemodui/controlleroptions.res	(revision 14)
@@ -7,26 +7,54 @@
 		"xpos"				"0"
 		"ypos"				"0"
 		"wide"				"7"
-		"tall"				"4"
+		"tall"				"4"		[$GAMECONSOLE]
+		"tall"				"5"		[!$GAMECONSOLE]
 		"visible"			"1"
 		"enabled"			"1"
 		"tabPosition"		"0"
 		"dialogstyle"		"1"
 	}
+	
+	"DrpController"
+	{
+		"ControlName"				"BaseModHybridButton"
+		"fieldName"					"DrpController"
+		"xpos"						"0"
+		"ypos"						"25"
+		"zpos"						"3"
+		"wide"						"0"
+		"tall"						"20"
+		"visible"					"0"		[$GAMECONSOLE]
+		"enabled"					"0"		[$GAMECONSOLE]
+		"visible"					"1"		[!$GAMECONSOLE]
+		"enabled"					"1"		[!$GAMECONSOLE]
+		"tabPosition"				"0"
+		"navUp"						"BtnDefaults"
+		"navDown"					"BtnEditButtons"
+		"labelText"					"#L4D360UI_Controller"
+		"style"						"DialogListButton"
+		"OnlyActiveUser"			"1"
+		"list"
+		{
+			"#L4D360UI_Disabled"	"ControllerDisabled"
+			"#L4D360UI_Enabled"		"ControllerEnabled"
+		}
+	}		
 		
 	"BtnEditButtons"
 	{
 		"ControlName"				"BaseModHybridButton"
 		"fieldName"					"BtnEditButtons"
 		"xpos"						"0"
-		"ypos"						"25"
+		"ypos"						"25"	[$GAMECONSOLE]
+		"ypos"						"50"	[!$GAMECONSOLE]
 		"zpos"						"3"
 		"wide"						"0"
 		"tall"						"20"
 		"visible"					"1"
 		"enabled"					"1"
 		"tabPosition"				"0"
-		"navUp"						"BtnDefaults"
+		"navUp"						"DrpController"
 		"navDown"					"BtnEditSticks"
 		"labelText"					"#L4D360UI_Controller_Edit_Buttons"
 		"style"						"LeftDialogButton"
@@ -41,7 +69,8 @@
 		"ControlName"				"BaseModHybridButton"
 		"fieldName"					"BtnEditSticks"
 		"xpos"						"0"
-		"ypos"						"50"
+		"ypos"						"50"	[$GAMECONSOLE]
+		"ypos"						"75"	[!$GAMECONSOLE]
 		"zpos"						"3"
 		"wide"						"0"
 		"tall"						"20"
@@ -63,7 +92,8 @@
 		"ControlName"			"SliderControl"
 		"fieldName"				"SldVertSens"
 		"xpos"					"0"
-		"ypos"					"75"
+		"ypos"					"75"	[$GAMECONSOLE]
+		"ypos"					"100"	[!$GAMECONSOLE]
 		"zpos"					"3"
 		"wide"					"0"
 		"tall"					"20"
@@ -107,7 +137,8 @@
 		"ControlName"			"SliderControl"
 		"fieldName"				"SldHorizSens"
 		"xpos"					"0"
-		"ypos"					"100"
+		"ypos"					"100"	[$GAMECONSOLE]
+		"ypos"					"125"	[!$GAMECONSOLE]
 		"zpos"					"3"
 		"wide"					"0"
 		"tall"					"20"
@@ -151,7 +182,8 @@
 		"ControlName"		"BaseModHybridButton"
 		"fieldName"			"DrpLookType"
 		"xpos"				"0"
-		"ypos"				"125"
+		"ypos"				"125"	[$GAMECONSOLE]
+		"ypos"				"150"	[!$GAMECONSOLE]
 		"zpos"				"3"
 		"wide"				"0"
 		"tall"				"20"
@@ -175,7 +207,7 @@
 		"ControlName"		"BaseModHybridButton"
 		"fieldName"			"DrpVibration"
 		"xpos"				"0"
-		"ypos"				"150"
+		"ypos"				"175"
 		"zpos"				"3"
 		"wide"				"0"
 		"tall"				"20"
@@ -210,7 +242,7 @@
 		"enabled"					"1"
 		"tabPosition"				"0"
 		"navUp"						"DrpVibration"
-		"navDown"					"BtnEditButtons"
+		"navDown"					"DrpController"
 		"labelText"					"#L4D360UI_Controller_Default"
 		"style"						"LeftDialogButton"
 		"command" 					"Defaults"
